UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Public Attributes | List of all members
uhd::usrp::dboard_eeprom_t Struct Reference

`#include <dboard_eeprom.hpp>`

## Public Member Functions
| dboard_eeprom_t (void)
void | load (i2c_iface &iface, boost::uint8_t addr)
void | store (i2c_iface &iface, boost::uint8_t addr) const

## Public Attributes
dboard_id_t | id
| The ID for the daughterboard type. More...
std::string | serial
| The unique serial number. More...
std::string | revision
| A hardware revision number. More...

## Constructor & Destructor Documentation

uhd::usrp::dboard_eeprom_t::dboard_eeprom_t | ( | void |  | ) |

Create an empty dboard eeprom struct.

## Member Function Documentation

void uhd::usrp::dboard_eeprom_t::load | ( | i2c_iface & | iface,
|  | boost::uint8_t | addr
| ) |  |

Load the object with bytes from the eeprom.

Parameters

  iface | the serial interface with i2c
  addr | the i2c address for the eeprom

void uhd::usrp::dboard_eeprom_t::store | ( | i2c_iface & | iface,
|  | boost::uint8_t | addr
| ) |  | const

Store the object to bytes in the eeprom.

Parameters

  iface | the serial interface with i2c
  addr | the i2c address for the eeprom

## Member Data Documentation

dboard_id_t uhd::usrp::dboard_eeprom_t::id

The ID for the daughterboard type.

std::string uhd::usrp::dboard_eeprom_t::revision

A hardware revision number.

std::string uhd::usrp::dboard_eeprom_t::serial

The unique serial number.

The documentation for this struct was generated from the following file:

- include/uhd/usrp/dboard_eeprom.hpp